Bug 611277 - (python-celery) Review Request: python-celery - Task queue/job queue based on distributed message passing
Review Request: python-celery - Task queue/job queue based on distributed mes...
Status: CLOSED DUPLICATE of bug 722444
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On: python-anyjson python-importlib python-billiard python-amqplib django-picklefield python-carrot
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-04 12:52 EDT by Fabian Affolter
Modified: 2011-07-16 05:25 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-14 12:44:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fabian Affolter 2010-07-04 12:52:57 EDT
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/python-celery.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/python-celery-2.0.0-1.fc13.src.rpm

Project URL: http://pypi.python.org/pypi/celery

Description:
Celery is a task queue/job queue based on distributed message
passing. It is focused on real-time operation, but supports
scheduling as well.

The execution units, called tasks, are executed concurrently on a
single or more worker servers. Tasks can execute asynchronously
(in the background) or synchronously (wait until ready).

Celery is already used in production to process millions of tasks
a day.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2294047

rpmlint output:
[fab@laptop011 SRPMS]$ rpmlint python-celery-2.0.0-1.fc13.src.rpm
python-celery.src:68: W: macro-in-comment %check
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

The test section is commented-out because there are plenty of issues at the moment.

[fab@laptop011 noarch]$ rpmlint python-celery-2.0.0-1.fc13.noarch.rpm
python-celery.noarch: W: hidden-file-or-dir /usr/share/doc/python-celery-2.0.0/docs/.static/.keep
python-celery.noarch: E: zero-length /usr/share/doc/python-celery-2.0.0/docs/.static/.keep
python-celery.noarch: W: hidden-file-or-dir /usr/share/doc/python-celery-2.0.0/docs/.static
python-celery.noarch: W: hidden-file-or-dir /usr/share/doc/python-celery-2.0.0/docs/.static
python-celery.noarch: W: no-manual-page-for-binary celeryd
python-celery.noarch: W: no-manual-page-for-binary camqadm
python-celery.noarch: W: no-manual-page-for-binary celeryev
python-celery.noarch: W: no-manual-page-for-binary celeryinit
python-celery.noarch: W: no-manual-page-for-binary celeryd-multi
python-celery.noarch: W: no-manual-page-for-binary celerybeat
1 packages and 0 specfiles checked; 1 errors, 9 warnings.

The rpmlint issues about the hidden stuff are all related to sphinx-build.
Comment 1 Fabian Affolter 2011-03-26 17:48:35 EDT
* Sat Mar 26 2011 Fabian Affolter <fabian@bernewireless.net> - 2.2.4-1
- Added new BR
- Enabled test again
- Updated to new upstream version 2.2.4

Updated files:
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/python-celery.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/python-celery-2.2.4-1.fc14.src.rpm
Comment 2 Rahul Sundaram 2011-04-14 05:41:33 EDT
This has a dependency on python-importlib only if build against a Python older than 2.7 so it should be a conditional dependency.
Comment 3 Rahul Sundaram 2011-06-23 09:55:23 EDT
Fab,  I need this as a dependency of something else I am packaging.  Please respond
Comment 4 Rahul Sundaram 2011-07-13 21:11:59 EDT
Fab,  my entire effort to package Askbot (https://fedoraproject.org/wiki/Askbot) is now waiting on python-celery and python-kombu to be in the repository so that I can build the dependencies and move forward.  It would be very helpful if we could expedite the process.  Thanks
Comment 5 Fabian Affolter 2011-07-14 12:44:06 EDT
No, at the moment I have no time to work on this package and I don't want to block your work.
Comment 6 Andrew Colin Kissa 2011-07-15 07:11:32 EDT

*** This bug has been marked as a duplicate of bug 722444 ***

Note You need to log in before you can comment on or make changes to this bug.